package data_access;

import system.builder.Builder;

public abstract class DataAccessImplFactory {

    private static DataAccessImpl data = null;
    /**
     * Public factory method that creates singleton instance of
     * private Logic implementation class.
     *
     * @return reference to Logic implementation instance
     */
    public static DataAccessImpl getInstance () {
        if( data == null ) {
            data = new DataAccessImpl();
        }
        return data;
    }
}
