package system.builder;

import model.Order;

import java.util.Optional;
import java.util.function.Consumer;

interface MockDataBuilder {
    void buildCustomers();
    void buildArticles();
    void buildOrders( Consumer<Order> fillOrder);

 public Optional<MockDataBuilderImpl> buildMockData();

}
