package model;

public class Article {
    private String id ="";
    private String description = "";
    private long unitPrice = 0;
    private int unitsInStore = 0;

    public Article(String id, String description, long price, int units){
        this.id = id;
        this.description = description;
        this.unitPrice = price;
        this.unitsInStore = units;
    }

    public String getId() {
        if(id == ""){
            this.id = null;
        }
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDescription() {
        if(description == null){
            this.description = "";
        }
        return description;
    }

    public void setDescription(String description) {
            this.description = description;

    }

    public long getUnitPrice() {
        if(unitPrice < 0){
            this.unitPrice = 0;
        }
        return unitPrice;
    }

    public void setUnitPrice(long unitPrice) {
        this.unitPrice = unitPrice;
    }

    public int getUnitsInStore() {
        if(unitsInStore < 0){
            this.unitsInStore = 0;
        }
        return unitsInStore;
    }

    public void setUnitsInStore(int unitsInStore) {
        this.unitsInStore = unitsInStore;
    }


}
