package model;

import java.util.ArrayList;

public class Customer {

    private String id = "";
    private String firstName = "";
    private String lastName = "";
    private String contact = "";

    public Customer(String id, String name , String contact){
        this.id = id;

        if(id == "" && name == "" && contact == "") {
             this.id = id;
             this.firstName = name;
             this.lastName = name;
             this.contact = contact;
             return;
        }

        if(id == null && name == null && contact == null){
            this.id = null;
            this.firstName = "";
            this.lastName = "";
            this.contact = null;
            return;

        }

        if (name.contains(",")) {
            String[] str1 = name.split(", ");
                this.lastName = str1[0];
                this.firstName = str1[1];

       } else {
            String[] str = name.split(" ");

            if(str.length > 2){
                this.firstName = str[0] + " " + str[1];
                this.lastName = str[2];
            } else {
                this.firstName = str[0];
                this.lastName = str[1];
            }
        }


        this.contact = contact;

    }
    public String getId() {
        return id;
    }

    public void setId(String id) {

        if(!id.contains("c")) {
            this.id = getId();
        }
        else{
            this.id = id;
        }

    }

    public String getFirstName() {
        return firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setName(String name) {
        if(name.contains(", ")){
            String[] names = name.split(", ");
            this.firstName = names[1];
            this.lastName = names[0];
        }else if(!name.contains(" ")) {
            this.firstName = "";
            this.lastName = name;
        }
        else {
            String[] names = name.split(" ");
            this.firstName = names[0];
            this.lastName = names[1];
        }
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        if(this.contact == null){
            this.contact = null;
        }else{
            this.contact = contact;
        }

    }


}
